﻿
-- My Garrison is Done --
-- Written by Jaxom of Hellfire --
-- Based on an Idea by Cederra of Hellfire, He helps test my addons and this was his idea. --
-- GNU General Public License version 3 (GPLv3) --

GarrisonDone_Version = GetAddOnMetadata("GarrisonDone", "Version")

-- DEFAULTS --

local playerName = UnitName("player");
local character = UnitName("player").."-"..GetRealmName();
local faction = UnitFactionGroup("player")
local self = GarrisonDone;
local toon = character:match("([^-]+)")
local DCF = DEFAULT_CHAT_FRAME;


-- ON LOAD --

function GarrisonDone_OnLoad()

    
-- START --
        -- Assign Tabs for future second Tab to show alts --
        -- PanelTemplates_SetNumTabs(GarrisonDoneFrame, 2);  -- 2 = frames total. --
        -- PanelTemplates_SetTab(GarrisonDoneFrame, 1);      -- 1 = tab 1 selected. --
        
        
-- LOCK FRAME SIZE SETTINGS --
        
        GarrisonDoneFrame:SetMinResize(195,245);
        GarrisonDoneFrame:SetMaxResize(195,245);
        
	    table.insert(UISpecialFrames,"GarrisonDoneFrame");     
        
-- SLASH COMMANDS --
        
        SlashCmdList["GARRISONDONE"] = function(sMsg)
			GarrisonDone_Slash_Command(sMsg)
		end
		SLASH_GARRISONDONE1 = "/mgd";
        SLASH_GARRISONDONE2 = "/gdone";
        
        GarrisonDone_Loaded();
end
        
    -- Set Default Variables --

function GarrisonDone_Loaded()
    if GarrisonDone_Varsc == nil then
        GarrisonDone_Varsc = SimpleNotepad_Defaults
        DEFAULT_CHAT_FRAME:AddMessage("My Garrison found no database. Generating Defaults...");
        end
    if (GarrisonDone_Varsc["version"] < GarrisonDone_Version) then
        GarrisonDone_Varsc_temp = GarrisonDone_Defaults;
        for k,v in GarrisonDone_Varsc do
    if (GarrisonDone_Defaults["Vars"][k]) then
        GarrisonDone_Varsc_temp[k] = v;
        end
    end
        GarrisonDone_Varsc_temp["version"] = GarrisonDone_Version;
        GarrisonDone_Varsc = GarrisonDone_Varsc_temp;
    end
    
    -- REGISTER EVENTS --  

for k, v in pairs({
	"VARIABLES_LOADED",
	"REGISTERFORDRAG",
	"STORETEXT",
	"ONTEXTCHANGED",
	"UPDATE",
	"GETTEXT",
	"SETTEXT",
	"ONSHOW",
	"ONHIDE",
	"ONCLICK",
	"ZONE_CHANGED",
	"ZONE_CHANGED_INDOORS",
	"ZONE_CHANGED_NEW_AREA",
	"GARRISON_UPDATE",
	"CHAT_MSG_SYSTEM",
	"PLAYER_ENTERING_WORLD",
	"UNIT_SPELLCAST_SUCCEEDED",
	"LOOT_CLOSED",
	"ADDON_LOADED",
	"PLAYER_LOGIN",
	"GARRISON_FOLLOWER_ADDED",
	"GARRISON_FOLLOWER_LIST_UPDATE",
	"GARRISON_FOLLOWER_REMOVED",
	"GARRISON_HIDE_LANDING_PAGE",
	"GARRISON_SHOW_LANDING_PAGE",
	"GARRISON_USE_PARTY_GARRISON_CHANGED",
    }) 
    
    do GarrisonDoneFrame:RegisterEvent(v) 
    end
end

    -- Function - Load Variables and fire it up :) --

-- EVENT FUNCTIONS --

function GarrisonDone_OnEvent(self, event, ...)
        if event == "VARIABLES_LOADED" then
            
        GarrisonDone_Varsc.version = tostring(GarrisonDone_Varsc.version);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.version = "";
		end
            
        GarrisonDone_Varsc.miningLeft = tonumber(GarrisonDone_Varsc.miningLeft);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.miningLeft = "";
		end
        
        GarrisonDone_Varsc.maxMining = tonumber(GarrisonDone_Varsc.maxMining);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.maxMining = "";
		end
        
        GarrisonDone_Varsc.herbingLeft = tonumber(GarrisonDone_Varsc.herbingLeft);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.herbingLeft = "";
		end
        
        GarrisonDone_Varsc.maxHerbing = tonumber(GarrisonDone_Varsc.maxHerbing);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.maxHerbing = "";
		end        
		
		GarrisonDone_Varsc.reference = tostring(GarrisonDone_Varsc.reference);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.reference = "";
		end
        
        GarrisonDone_Varsc.nodes = tostring(GarrisonDone_Varsc.nodes);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.nodes = "";
		end
        
        GarrisonDone_Varsc.auto = tostring(GarrisonDone_Varsc.auto);
		if GarrisonDone_Varsc == "nil" then
			GarrisonDone_Varsc.auto = "";
		end
    end
                
            -- COUNT DOWN HERBS AND ORE --
        if event == "UNIT_SPELLCAST_SUCCEEDED" then
            DEFAULT_CHAT_FRAME:AddMessage("whoops")
            local _, spell = ...
		if spell == "Mining" then
			local zoneName = GetSubZoneText();
			if zoneName == "Frostwall Mine" or zoneName == "Lunarfall Excavation" then
			GarrisonDone_Varsc.miningLeft = GarrisonDone_Varsc.miningLeft - 1;
			end
		elseif spell == "Herbalism" then
			local zone = GetZoneText();
			if zone == "Lunarfall" then
			GarrisonDone_Varsc.herbingLeft = GarrisonDone_Varsc.herbingLeft - 1;
        end
    end
            -- Is the Player in there Garrison, if there not we dont want to show -- 
        if event == "PLAYER_ALIVE" then
            local zone = GetZoneText
            if zone == "Lunarfall" and GarrisonDone_Varsc.auto == true then
	        GarrisonDoneFrame:Show();
	        else
		    GarrisonDoneFrame:Hide();
	        end
        elseif event == "ZONE_CHANGED" then
            local zone = GetZoneText
	        if zone == "Lunarfall" and GarrisonDone_Varsc.auto == true then
	        GarrisonDoneFrame:Show();
	        else
		    GarrisonDoneFrame:Hide();
            end
	    end
    end
        GarrisonDone_CompLogin(toon, when)
        GarrisonDone_Update(); 
end


function GarrisonDone_EndDaily(self)
        if GarrisonDone_Varsc.herbingLeft == 0 and GarrisonDone_Varsc.miningLeft == 0 then
        GarrisonDoneFrame:UnregisterEvent("UNIT_SPELLCAST_SUCCEEDED")
    end
end
		
 
    -- SHOW FRAME --    
function GarrisonDone_OnShow(self)
    GarrisonDoneFrame:Show();
    GarrisonDone_Update(self);
    GarrisonDone_ScanFollowers();
   
end
        

    -- TOGGLES FRAME USEING SLASH COMMAND --
function GarrisonDone_Slash_Command(sMsg)
	if GarrisonDoneFrame:IsVisible() then
		GarrisonDoneFrame:Hide();
	else
		GarrisonDoneFrame:Show();
	end
end

    -- MOVES FRAME --
function GarrisonDone_OnMouseDown(self)
    if Button == "RightButton" then
	    GarrisonDoneFrame:StartMoving();
    end
end

function GarrisonDone_OnMouseUp(self)
	if Button == "RightButton" then
	GarrisonDoneFrame:StopMovingOrSizing();
	end
end


-- REMOVES FRAME IF DISABLE TRUE --
function GarrisonDone_MakeESCable(frame,disable)
	local idx
	for i=1,#(UISpecialFrames) do
		if UISpecialFrames[i]==frame then
			idx = i
			break
		end
	end
	if idx and disable then
		table.remove(UISpecialFrames,idx)
	elseif not idx and not disable then
		table.insert(UISpecialFrames,1,frame)
	end
end



    -- ON TEXT CHANGE we will probably need to do something here --
function GarrisonDone_OnTextChanged(self)
	
end

    -- Find all our Followers as they have id's unique to the player --
function GarrisonDone_ScanFollowers(self)

end

    -- Set timer for Ore and Herbs Reset --
function GarrisonDone_CompLogin(toon, when)
    if not GarrisonDone_Varsc.lastLogin then
		GarrisonDone_Varsc.lastLogin = {
			["time"] = time(),
			["resetTime"] = GetQuestResetTime(),
		}
		GarrisonDone_Reset(toon, when)
		return
	end
	local oldTime = GarrisonDone_Varsc.lastLogin.time
    oldResetTime = GarrisonDone_Varsc.lastLogin.resetTime
	GarrisonDone_Varsc.lastLogin = {
			["time"] = time(),
			["resetTime"] = GetQuestResetTime(),
	}
        -- it's more than a day or quest reset timer has popped --
	if (GarrisonDone_Varsc.lastLogin.time - oldTime > 86400) or (oldResetTime < GetQuestResetTime()) then 
		GarrisonDone_Reset(toon, when)
	end
end

    -- find and Store Ore and Herbs --
function GarrisonDone_Reset(toon, when)
	local mines = {61, 62, 63}
	local gardens = {29, 136, 137}
    local ores = {8, 13, 18}
	local herbs = {6, 10, 15}
	local ore, herb
	local buildings, myMine, myGarden = C_Garrison.GetBuildings()
	for i = 1, #buildings do
		local buildingID = buildings[i].buildingID
		for k, v in ipairs(mines) do
			if v == buildingID then
				myMine = v
			end
		end
		for k, v in ipairs(gardens) do
			if v == buildingID then
				myGarden = v
			end
		end
	end
	if myMine == 61 then
		GarrisonDone_Varsc.miningLeft = 8;
		GarrisonDone_Varsc.maxMining = 8;
		GarrisonDone_Varsc.hasMine = true;
    elseif myMine == 62 then
		GarrisonDone_Varsc.miningLeft = 13;
		GarrisonDone_Varsc.maxMining = 13;
		GarrisonDone_Varsc.hasMine = true;
    elseif myMine == 63 then
		GarrisonDone_Varsc.miningLeft = 18;
		GarrisonDone_Varsc.maxMining = 18;
		GarrisonDone_Varsc.hasMine = true;
    end
	if myGarden == 29 then
		GarrisonDone_Varsc.herbingLeft = 6;
		GarrisonDone_Varsc.maxHerbing = 6;
		GarrisonDone_Varsc.hasGarden = true;
    elseif myGarden == 136 then
		GarrisonDone_Varsc.herbingLeft = 10;
		GarrisonDone_Varsc.maxHerbing = 10;
		GarrisonDone_Varsc.hasGarden = true;
    elseif myGarden == 137 then
		GarrisonDone_Varsc.herbingLeft = 15;
		GarrisonDone_Varsc.maxHerbing = 15;
		GarrisonDone_Varsc.hasGarden = true;
	end
end



-- TEXT FUNCTIONS --

function GarrisonDone_Update()
    -- Assign Local Variables straight from Blizz frame --
    
    
    -- Max Followers --
    local maxFollowers = C_Garrison.GetFollowerSoftCap();
    
    -- Active Followers --
    local numActiveFollowers = C_Garrison.GetNumActiveFollowers();
   
    -- Followers working --
    local work = 0;
    if (GARRISON_FOLLOWER_WORKING == true) then  -- this isnt even close to what we need --
			work = work + 1
    elseif (GARRISON_FOLLOWER_WORKING == false) then
            work = 0;
    end
    
    -- Followers Available --
    local gfm = 0;
    if (GARRISON_FOLLOWER_ON_MISSION == true) then  -- this isnt even close to what we need --
        gfm = gfm + 1
    elseif (GARRISON_FOLLOWER_ON_MISSION == false) then
        gfm = 0;
    end
    local fBusy = gfm + work;
    local available = numActiveFollowers - fBusy;
        
    
    -- Missions Available --
    local AvailableItems = C_Garrison.GetAvailableMissions();
    
    -- Missions Complete --
    local completeMissions = C_Garrison.GetCompleteMissions();
    
    -- Missions in Progress --
    local items = C_Garrison.GetLandingPageItems();  
    local mip = #items - #completeMissions;

    -- Mining Nodes --
    local ore = 0;
    if GarrisonDone_Varsc.hasMine == true then
		if GarrisonDone_Varsc.miningLeft > 0 then
		ore = format("%s", GarrisonDone_Varsc.miningLeft)
            tonumber(ore)
		end
    end
    local ores = 0;
    if GarrisonDone_Varsc.hasMine == true then
		if GarrisonDone_Varsc.maxMining > 0 then
		ores = format("%s", GarrisonDone_Varsc.maxMining)
            tonumber(ores)
		end
	end 
    
    -- Herb Nodes --
    local herb = 0;
    if GarrisonDone_Varsc.hasGarden == true then
    	if GarrisonDone_Varsc.herbingLeft > 0 then
		herb = format("%s", GarrisonDone_Varsc.herbingLeft)
            tonumber(herb)
		end
	end 
    local herbs = 0;
    if GarrisonDone_Varsc.hasGarden == true then
		if GarrisonDone_Varsc.maxHerbing > 0 then
		herbs = format("%s", GarrisonDone_Varsc.maxHerbing)
            tonumber(herbs)
		end
	end
      

    
    -- Garrison Resources --
    local _, currentAmount, _, _, _, _, _ = GetCurrencyInfo(824);

   
    
	-- Set Contents Main Frame --
	if (GarrisonDoneEditBox:IsShown()) then
        -- Players Garrison --
		GarrisonDonePageName:SetText(""..playerName.."'s  Garrison");
        -- Max Followers --
		MGDTFPageName:SetText("Total Followers|cff007fff = |r"..numActiveFollowers.."|cff007fff/|r"..maxFollowers.."");
        -- Complete Missions --
		MGDMCPageName:SetText("Missions Complete|cff007fff = |cff00aa00"..#completeMissions.."");
        -- Missions in Progress --
            if mip ~= 0 then
		MGDFMPageName:SetText("Missions in Progress|cff007fff = |r"..mip.."");
            elseif mip == 0 then
        MGDFMPageName:SetText("Missions in Progress|cff007fff = |r|cffff0000"..mip.."");
            end
        -- Missions Available --
		MGDMAPageName:SetText("Missions Available|cff007fff = |r"..#AvailableItems.."");
        -- Followers Available --
		MGDFAPageName:SetText("Followers Available|cff007fff = |r"..available.."");
        -- Followers Working
		MGDFWPageName:SetText("Followers Working|cff007fff = |r"..work.."");
        -- Mining Nodes --
        if ore ~= 0 then
		MGDMNPageName:SetText("Mining Nodes|cff007fff = |cffff0000"..ore.."|cff007fff/|cff00aa00"..ores.."");
        elseif ore == 0 then
        MGDMNPageName:SetText("Mining Nodes|cff007fff = |r"..ore.."|cff007fff/|cff00aa00"..ores.."");
            end
        -- Herb Nodes --
        if herb ~= 0 then
		MGDHNPageName:SetText("Nice Flowers|cff007fff = |cffff0000"..herb.."|cff007fff/|cff00aa00"..herbs.."");
        elseif herb == 0 then
        MGDHNPageName:SetText("Nice Flowers|cff007fff = |r"..herb.."|cff007fff/|cff00aa00"..herbs.."");  
            end
        -- Garrison Resources --
		MGDGRPageName:SetText("Garrison Resource|cff007fff = |r"..currentAmount.."");
    
    end
    
    --[[
       
	-- Set Contents Alt Frame --
	
    elseif (GarrisonDoneAltsEditBox:IsShown()) then
        -- Alts Garrisons --
		GarrisonDonePageName:SetText("My Alts Garrisons");
        -- Alt Players Name --
		MGDPNPageName:SetText(""..player.."'s  Garrison");
        -- Missions Complete --  
		MGDAMCPageName:SetText("Missions Complete|cff007fff = |cff00aa00 TEST");
		-- Missions in Progress --
            if mip ~= 0 then
		MGDFMPageName:SetText("Missions in Progress|cff007fff = |r"..mip.."");
            elseif mip == 0 then
        MGDFMPageName:SetText("Missions in Progress|cff007fff = |r|cffff0000"..mip.."");
            end
        -- Missions Available --
		MGDAMAPageName:SetText("Missions Available|cff007fff = |r 0");
        
        
        
   
        -- add in pairs for multi toons later here --
end
]]--
        
        GarrisonDoneEditBox:SetWidth(GarrisonDoneFrame:GetWidth()-50) -- might be to much --
        
        -- Unhook cast spell Success once mining and herbing complete --
        GarrisonDone_EndDaily(self);
        -- add other stuff we need to update later here --
    
end


  --[[
-- UNREGISTER EVENTS --
        GarrisonDone:UnregisterEvent("VARIABLES_LOADED");
        GarrisonDone:UnregisterEvent("STORETEXT");
        GarrisonDone:UnregisterEvent("ONTEXTCHANGED");
        GarrisonDone:UnregisterEvent("UPDATE");
        GarrisonDone:UnregisterEvent("GETTEXT");
        GarrisonDone:UnregisterEvent("SETTEXT");
        GarrisonDone:UnregisterEvent("ONFOCUS");
        GarrisonDone:UnregisterEvent("SETFOCUS");
        GarrisonDone:UnregisterEvent("CLEARFOCUS");
        GarrisonDone:UnregisterEvent("ONSHOW");
        GarrisonDone:UnregisterEvent("ONHIDE");
        GarrisonDone:UnregisterEvent("ONCLICK");
        GarrisonDone:UnregisterEvent("ZONE_CHANGED");
        GarrisonDone:UnregisterEvent("ZONE_CHANGED_INDOORS");
        GarrisonDone:UnregisterEvent("ZONE_CHANGED_NEW_AREA");
        GarrisonDone:UnregisterEvent("REGISTERFORDRAG");
        GarrisonDone:UnregisterEvent("GARRISON_UPDATE");
        GarrisonDone:UnregisterEvent("GARRISON_FOLLOWER_WORKING");
        GarrisonDone:UnregisterEvent("GARRISON_MISSION_LIST_UPDATE");
        GarrisonDone:UnregisterEvent("CURRENCY_DISPLAY_UPDATE");
        GarrisonDone:UnregisterEvent("GARRISON_MISSION_STARTED");
        GarrisonDone:UnregisterEvent("GARRISON_MISSION_FINISHED");
        GarrisonDone:UnregisterEvent("CHAT_MSG_SYSTEM");
	    GarrisonDone:UnregisterEvent("GARRISON_FOLLOWER_ADDED");
	    GarrisonDone:UnregisterEvent("GARRISON_FOLLOWER_LIST_UPDATE");
	    GarrisonDone:UnregisterEvent("GARRISON_FOLLOWER_REMOVED");
	    GarrisonDone:UnregisterEvent("GARRISON_HIDE_LANDING_PAGE");
	    GarrisonDone:UnregisterEvent("GARRISON_MISSION_NPC_CLOSED");
	    GarrisonDone:UnregisterEvent("GARRISON_MISSION_NPC_OPENED");
	    GarrisonDone:UnregisterEvent("GARRISON_SHOW_LANDING_PAGE");
        GarrisonDone:UnregisterEvent("PLAYER_ENTERING_WORLD");
        ]]-- 


   



 -- LDB LAUNCHER --
            -- might change this to ldb display -- or better add Ldb Display --
    
    local GarrisonDone_Varsc = GarrisonDone_Varsc
    local mgdldb = LibStub:GetLibrary("LibDataBroker-1.1")
    
local mgdldb = LibStub:GetLibrary("LibDataBroker-1.1"):NewDataObject("GarrisonDone", {
            type = "launcher",
	        text = "My Garrison",
            label = "My Garrison",
            tocname = "GarrisonDone",
            icon = "Interface\\AddOns\\GarrisonDone\\images\\MGDL.tga",
            OnClick = function(self, button)
            if (button == "LeftButton") then
            if GarrisonDoneFrame:IsVisible() then
		        GarrisonDoneFrame:Hide()
	        else
		        GarrisonDoneFrame:Show()
	        end
            elseif (button == "RightButton") then
		    InterfaceOptionsFrame_OpenToCategory("GarrisonDone") 
        end
    end,
            OnTooltipShow = function(tooltip)
                tooltip:AddLine('My Garrison is Done ('..GarrisonDone_Version..')')
                tooltip:AddLine('|cffffff00Left click for My Garrison Panel')
                tooltip:AddLine('|cffffff00Right Click for Interface Panel')
            end,
        })


 

   -- INTERFACE OPTIONS MENU -- 
    
   -- FRAME 1 --
  
   
    
	local garrisondone = CreateFrame("Frame", "GarrisonDone", UIParent)
	garrisondone:Hide()
    garrisondone:IsResizable(true)
    garrisondone:SetMinResize(350,250)
	garrisondone.name = "My Garrison"
    garrisondone:SetBackdropColor(0, 0, 0, 1)
	garrisondone:SetWidth(250)
	garrisondone:SetHeight(400)
	garrisondone:SetPoint("CENTER", UIParent, "CENTER")
	InterfaceOptions_AddCategory(garrisondone)

	local title = garrisondone:CreateFontString("GarrisonDoneTitle", "ARTWORK", "GameFontNormalLarge")
	title:SetPoint("TOPLEFT", 16, -20)
	title:SetText("My Garrison is Done ("..GarrisonDone_Version..")" )
 
    
    local mgdEditBox = CreateFrame("EditBox", "GarrisonDoneEditBox", garrisondone)
    mgdEditBox:SetPoint ("TOPLEFT",26,-42)
	mgdEditBox:EnableMouse(false)
	mgdEditBox:SetAutoFocus(false)
	mgdEditBox:SetFontObject(GameFontNormal)
	mgdEditBox:SetWidth(450)
	mgdEditBox:SetHeight(120)
    mgdEditBox:SetText("")
	mgdEditBox:Show()
    
    local mgdEditBoxText = mgdEditBox:CreateFontString("GarrisonDoneEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdEditBoxText:SetPoint("BOTTOMLEFT", mgdEditBox, 5, -5)
	mgdEditBoxText:SetWidth(420)
	mgdEditBoxText:SetHeight(110)
    mgdEditBoxText:SetFontObject(GameFontHighlight)
    mgdEditBoxText:SetJustifyH("LEFT")
	mgdEditBoxText:SetText("Garrison Done")
    
    local mgdEditBoxText2 = mgdEditBox:CreateFontString("GarrisonDoneEditBoxTitle", "ARTWORK", "GameFontHighlight")
	mgdEditBoxText2:SetPoint("BOTTOMLEFT", mgdEditBox, 5, -115)
	mgdEditBoxText2:SetWidth(420)
	mgdEditBoxText2:SetHeight(110)
    mgdEditBoxText2:SetFontObject(GameFontHighlight)
    mgdEditBoxText2:SetJustifyH("LEFT")
	mgdEditBoxText2:SetText(" xml. |cff007fffJaxom of Hellfire EU")
      

     -- OPTIONS TITLE --
    
    local mgdtitle = garrisondone:CreateFontString("GarrisonDoneTitle", "ARTWORK", "GameFontHighlightLarge")
	mgdtitle:SetPoint("TOPLEFT", 16, -287)
	mgdtitle:SetText("|cff007fffOptions")       
                    
    -- HIDE BUTTON --
    
    local mgdmini = CreateFrame("CheckButton", "GarrisonDoneButton1", garrisondone)
	mgdmini:SetWidth(26)
	mgdmini:SetHeight(26)
	mgdmini:SetPoint("TOPLEFT", 16, -317)
--    gdmini:SetChecked(GarrisonDone_Varsc.button == false)
    mgdmini:SetScript("OnClick", function(self)
            if self:GetChecked() then
    --        GarrisonDone_Vars.button = false
    --        MGD_Button:Show()
            DEFAULT_CHAT_FRAME:AddMessage("|cff00aa00[Garrison Done] - |cff007fff Button is now ON");
            else
    --        GarrisonDone_Vars.button = true
    --        MGD_Button:Hide()
            DEFAULT_CHAT_FRAME:AddMessage("|cff00aa00[Garrison Done] - |cff007fff Button is now OFF");
            end
	end--function
    )
    
   
	mgdmini:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	mgdmini:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	mgdmini:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	mgdmini:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")

	local mgdminiText = mgdmini:CreateFontString("GarrisonDoneButton1Title", "ARTWORK", "GameFontHighlight")
	mgdminiText:SetPoint("LEFT", mgdmini, "RIGHT", 0, 2)
	mgdminiText:SetText("|CFF00AA00Show/Hide Garrison Button|r")
    
    local mgdminiText2 = mgdmini:CreateFontString("GarrisonDoneButton1Title", "ARTWORK", "GameFontHighlightSmall")
	mgdminiText2:SetPoint("LEFT", mgdmini, "RIGHT", 5, -10)
    mgdminiText2:SetText("LDB Slidebar Icon and Titan Panel is Available")
    
    
     -- DISABLE AUTO OPEN --
    
    local mgdauto = CreateFrame("CheckButton", "GarrisonDoneButton2", garrisondone)
	mgdauto:SetWidth(26)
	mgdauto:SetHeight(26)
	mgdauto:SetPoint("TOPLEFT", 16, -347)
    mgdauto:SetChecked(GarrisonDone_Varsc.button == false)
    mgdauto:SetScript("OnClick", function(self)
            if self:GetChecked() then
            GarrisonDone_Varsc.auto = false
            DEFAULT_CHAT_FRAME:AddMessage("|cff00aa00[Garrison Done] - |cff007fff Auto open is now OFF");
            else
            GarrisonDone_Varsc.auto = true
            DEFAULT_CHAT_FRAME:AddMessage("|cff00aa00[Garrison Done] - |cff007fff Auto Open is now ON");
            end
	end--function
    )
    
   
	mgdauto:SetNormalTexture("Interface\\Buttons\\UI-CheckBox-Up")
	mgdauto:SetPushedTexture("Interface\\Buttons\\UI-CheckBox-Down")
	mgdauto:SetHighlightTexture("Interface\\Buttons\\UI-CheckBox-Highlight")
	mgdauto:SetCheckedTexture("Interface\\Buttons\\UI-CheckBox-Check")

	local mgdautoText = mgdauto:CreateFontString("GarrisonDoneButton2Title", "ARTWORK", "GameFontHighlight")
	mgdautoText:SetPoint("LEFT", mgdauto, "RIGHT", 0, 2)
	mgdautoText:SetText("|CFF00AA00Turn OFF Auto Open Garrison Frame|r")
    
    local mgdautoText2 = mgdauto:CreateFontString("GarrisonDoneButton2Title", "ARTWORK", "GameFontHighlightSmall")
	mgdautoText2:SetPoint("LEFT", mgdauto, "RIGHT", 5, -10)
    mgdautoText2:SetText("The Garrison Frame is Default set to Auto Open When you are in your Garrison")
    
   -- Add other options as we think of them --
    
    
